policyeditor(1)

NAME

policyeditor - view and modify security policy settings for javaws and the browser plugin

SYNOPSIS

policyeditor
policyeditor [-file] policy_file [-codebase] url

DESCRIPTION

policyeditor is a GUI application with small command line support to view and edit applet security policy settings used by the IcedTea-Web implementation of javaws and the browser plugin. It is intended as a simpler, easier to use, and more accessible alternative to the standard JDK Policy Tool. Administrators and power users who need fine grained control over policy files should probably use Policy Tool instead of PolicyEditor.
If executed without any arguments, no file is opened, and saving the file will result in a prompt on where to save it. Otherwise, if a file path is given as a command line argument, then that file path will be opened and parsed as policy file.

OPTIONS

-codebase url
    Specifies an applet codebase URL. If the specified codebase already exists in the policy file (if any), then it will be selected when the editor opens. If it is a new codebase then it will be added and selected. Multiple URLs may also be given with a single -codebase flag by separating them with spaces. In this case, the last codebase given will be selected, and all will be added. If this flag is given more than once, only the first is used.(Expected one or more arguments)

-defaultfile
    Specifies that the default user-level policy file should be opened. This is the file which is normally used by IcedTea-Web to make decisions about custom policies and permissions for applets at runtime, unless configured otherwise.(No argument expected)

-file policy_file
    Specifies a policy file path to open. If exactly one argument is given, and it is not this flag, it is interpreted as a file path to open, as if this flag was given first. This flag exists mostly for compatibility with Policy Tool, but is also needed when opening a policy file and also using the -codebase flag.(Exactly one argument expected)

-help
    Prints out information about supported command and basic usage.(No argument expected)

-verbose
    Enable verbose output.(No argument expected)

EXAMPLES

policyeditor
    Show the GUI editor with no file opened.

policyeditor -file $XDG_CONFIG_HOME/icedtea-web/security/java.policy
    Show GUI and opens the default policy file.

FILES

$XDG_CACHE_HOME/icedtea-web/cache/recently_used
    Additional information about items in cache

$XDG_CONFIG_HOME/icedtea-web/security/java.policy
    Contains granted permissions for selected unsigned apps. Controlled by deployment.user.security.policy

Where $XDG_CONFIG_DIR, $XDG_CACHE_DIR and $XDG_RUNTIME_DIR are set as ~/.config, ~/.cache and /tmp or /var/tmp if not set.

BUGS

There aren't any known bugs. If you come across one, please file it at:
http://icedtea.classpath.org/wiki/IcedTea-Web#Filing_bugs
http://icedtea.classpath.org/bugzilla
Please run in debug (-verbose switch or itw-settings setting or ICEDTEAPLUGIN_DEBUG variable set to true) mode and include that output (best is from java console) with URL to jnlp or html file (or the jnlp/html file or application itself) when filing out the bug report.

AUTHOR

Please run in debug (-verbose switch or itw-settings setting or ICEDTEAPLUGIN_DEBUG variable set to true) mode and include that output (best is from java console) with URL to jnlp or html file (or the jnlp/html file or application itself) when filing out the bug report.

SEE ALSO

icedtea-web(1) javaws(1) icedtea-web-plugin(1) itweb-settings(1) policyeditor(1) policytool(1) java(1)
http://icedtea.classpath.org/wiki/IcedTea-Web
http://icedtea.classpath.org/hg/icedtea-web